Package org.snpeff.interval

# Class VariantNonRef

java.lang.Object
org.snpeff.interval.Interval
org.snpeff.interval.Marker
org.snpeff.interval.Variant
org.snpeff.interval.VariantNonRef

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<Interval>`, `TxtSerializable`

public class VariantNonRef extends Variant
A variant respect to non-reference (e.g. comparing cancer vs. somatic tissue).

Author:
  pcingola
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.snpeff.interval.Variant

`Variant.VariantType`

## Field Summary

### Fields inherited from class org.snpeff.interval.Variant

`alt, genotype, HUGE_DELETION_RATIO_THRESHOLD, HUGE_DELETION_SIZE_THRESHOLD, imprecise, NO_VARIANT, ref, variantType`

### Fields inherited from class org.snpeff.interval.Marker

`type`

### Fields inherited from class org.snpeff.interval.Interval

`chromosomeNameOri, end, id, parent, start, strandMinus`

## Constructor Summary

Constructors
Constructor
Description
`VariantNonRef()`
`VariantNonRef(Variant variant, Variant variantRef)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getGenotype()`
`Variant`
`getVariantRef()`
`boolean`
`isNonRef()`
`Variant`
`realignLeft()`
Create a new variant realigning it towards the leftmost position
`void`
`setVariantRef(Variant variantRef)`
`String`
`toString()`

### Methods inherited from class org.snpeff.interval.Variant

`clone, cloneShallow, compareTo, decompose, factory, getAlt, getReference, getVariantType, hashCode, isBnd, isDel, isDup, isElongation, isImprecise, isInDel, isIns, isInterval, isInv, isMixed, isMnp, isShowWarningIfParentDoesNotInclude, isSnp, isStructural, isStructuralHuge, isTruncation, isVariant, lengthChange, netChange, netChange, reverse, setGenotype, setImprecise, setVariantType, toStringEnsembl, toStringOld`

### Methods inherited from class org.snpeff.interval.Marker

`adjust, apply, applyDel, applyDup, applyIns, applyMixed, codonTable, compareToPos, distance, distanceBases, getParent, getType, idChain, idChain, idChain, includes, intersect, isAdjustIfParentDoesNotInclude, isDeferredAnalysis, minus, query, query, readTxt, serializeParse, serializeSave, shouldApply, union, variantEffect, variantEffectNonRef`

### Methods inherited from class org.snpeff.interval.Interval

`equals, findParent, getChromosome, getChromosomeName, getChromosomeNameOri, getChromosomeNum, getEnd, getGenome, getGenomeName, getId, getStart, getStrand, intersects, intersects, intersects, intersects, intersectSize, isCircular, isSameChromo, isStrandMinus, isStrandPlus, isValid, setChromosomeNameOri, setEnd, setId, setParent, setStart, setStrandMinus, shiftCoordinates, size, toStr, toStringAsciiArt, toStrPos`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VariantNonRef

public VariantNonRef()

### VariantNonRef

public VariantNonRef(Variant variant, Variant variantRef)

## Method Details

### getGenotype

public String getGenotype()

Overrides:
  `getGenotype` in class `Variant`

### getVariantRef

public Variant getVariantRef()

### isNonRef

public boolean isNonRef()

Overrides:
  `isNonRef` in class `Variant`

### realignLeft

public Variant realignLeft()
Description copied from class: `Variant`
Create a new variant realigning it towards the leftmost position

Overrides:
  `realignLeft` in class `Variant`

### setVariantRef

public void setVariantRef(Variant variantRef)

### toString

public String toString()

Overrides:
  `toString` in class `Variant`